Package com.xebialabs.xlrelease.configuration

# Class PollingSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.BaseSettings
com.xebialabs.xlrelease.configuration.PollingSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false, label="Task polling", description="Status interval refreshes the Tasks and Release flow screens automatically when the task status changes. List interval refreshes the list of tasks to be polled on Tasks screen.") public class PollingSettings extends BaseSettings

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `POLLING_SETTINGS_ID`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseSettings

  `BASE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PollingSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getTaskListInterval()`
  `Integer`
  `getTaskStatusInterval()`
  `void`
  `setTaskListInterval(Integer taskListInterval)`
  `void`
  `setTaskStatusInterval(Integer taskStatusInterval)`
  `void`
  `validate()`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, getTitle, hasId, isSupportedOn, setCiUid, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### POLLING_SETTINGS_ID

    public static final String POLLING_SETTINGS_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PollingSettings

    public PollingSettings()

- ## Method Details

  - ### getTaskStatusInterval

    public Integer getTaskStatusInterval()

  - ### setTaskStatusInterval

    public void setTaskStatusInterval(Integer taskStatusInterval)

  - ### getTaskListInterval

    public Integer getTaskListInterval()

  - ### setTaskListInterval

    public void setTaskListInterval(Integer taskListInterval)

  - ### validate

    public void validate()